import React from "react";
import { Branch, Commit, CommitNode, Diff, GraphStyle } from "../../types";
export type Props = {
    commits: Commit[];
    branchHeads: Branch[];
    graphStyle?: GraphStyle;
    dateFormatFn?: (d: string | number | Date) => string;
    currentBranch?: string;
    fullSha?: boolean;
    onCommitClick?: (commit: CommitNode) => void;
    getDiff?: (base: string, head: string) => Promise<Diff | undefined>;
    forDolt?: boolean;
};
declare function CommitGraph({ commits, graphStyle, branchHeads, dateFormatFn, currentBranch, fullSha, onCommitClick, getDiff, forDolt, }: Props): React.JSX.Element;
declare namespace CommitGraph {
    var WithInfiniteScroll: typeof import("./WithInfiniteScroll").default;
}
export default CommitGraph;
